## golang 1.1.2

=== debian/changelog ===
golang (2:1.1.2-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1211749, #1202027). Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Aug 2013 14:06:23 +0100

golang (2:1.1.2-2) unstable; urgency=low

  * Build golang-go-linux-* for each architecture (Thanks James Page)
    (Closes: #719611)
  * Update lintian-overrides to override statically-linked-binary and
    unstripped-binary-or-object for all of golang-go

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Aug 2013 08:13:40 +0200

golang (2:1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Relicense debian/ under the Go license to match upstream. All copyright
    holders agreed to this. (Closes: #716907)
  * golang-mode: don’t install for a number of emacs versions which are not
    supported upstream (Thanks Kevin Ryde) (Closes: #702511, #717521)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 13 Aug 2013 13:47:58 +0200

golang (2:1.1.1-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2013 15:35:05 +0100

golang (2:1.1.1-3ubuntu3) saucy; urgency=low

  * Disable upstream-unsupported stripping of binaries to fix go crash
    (LP: #1200255).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 17 Jul 2013 10:43:11 +0000

golang (2:1.1.1-3ubuntu2) saucy; urgency=low

  * d/control,control.cross: Update Breaks/Replaces for Ubuntu
    versions to fix broken upgrades, regenerate control file. 

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jul 2013 14:54:48 +0100

golang (2:1.1.1-3ubuntu1) saucy; urgency=low

  * 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jul 2013 11:14:07 +0100

=== debian/control ===
# DO NOT EDIT THIS FILE. EDIT debian/control.* instead!
Source: golang
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
Build-Depends-Indep: po-debconf
Standards-Version: 3.9.3
Homepage: http://golang.org/

Package: golang-go
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
	 golang-src (>= ${source:Version}),
	 golang-go-linux-${go:Hostarch} (= ${source:Version})
Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
Description: Go programming language compiler
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package provides an assembler, a compiler, and a linker for the
 Go programming language. This is Google's implementation of the Go
 tool chain.

Package: golang-src
Replaces: golang-weekly-src, golang-go (<< 2:1-3~)
Conflicts: golang-weekly-src
Provides: golang-weekly-src
Breaks: golang-go (<< 2:1-3~)
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Go programming language compiler - source files
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package provides the Go programming language source files needed
 for godoc and goinstall.

Package: golang-doc
Replaces: golang-weekly-doc
Conflicts: golang-weekly-doc
Provides: golang-weekly-doc
Depends: ${misc:Depends}, golang-go, libjs-jquery
Architecture: all
Section: doc
Description: Go programming language compiler - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language. You can view the formatted documentation by running "godoc
 --http=:6060", and then visiting http://localhost:6060/doc/install.html.

Package: golang
Replaces: golang-weekly
Conflicts: golang-weekly
Provides: golang-weekly
Depends: ${misc:Depends},
	 golang-go (>= ${source:Version}),
	 golang-src (>= ${source:Version}),
	 golang-doc (>= ${source:Version})
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.

Package: golang-mode
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacsen, emacsen-common (>= 1.4.14)
Suggests: golang-go
Description: Go programming language - mode for GNU Emacs
 This package provides a GNU Emacs major mode for editing code in
 Google's Go programming language.

Package: kate-syntax-go
Architecture: all
Depends: ${misc:Depends}, kate
Suggests: golang-go
Description: Go programming language - Kate highlighting syntax files
 This package provides syntax files for the Kate editor for editing code
 in Google's Go programming language.

Package: vim-syntax-go
Architecture: all
Depends: ${misc:Depends}, vim
Recommends: vim-addon-manager
Suggests: golang-go
Description: Go programming language - Vim highlighting syntax files
 This package provides syntax files for the Vim editor for editing code
 in Google's Go programming language.

Package: golang-go-linux-amd64
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for linux_amd64
 This package contains the Go standard library,
 compiled for linux_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-linux-arm
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for linux_arm
 This package contains the Go standard library,
 compiled for linux_arm.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-linux-386
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for linux_386
 This package contains the Go standard library,
 compiled for linux_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for freebsd_amd64
 This package contains the Go standard library,
 compiled for freebsd_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-arm
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for freebsd_arm
 This package contains the Go standard library,
 compiled for freebsd_arm.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-386
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for freebsd_386
 This package contains the Go standard library,
 compiled for freebsd_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-windows-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for windows_amd64
 This package contains the Go standard library,
 compiled for windows_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-windows-386
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1.1-1)
Replaces: golang-go (<< 2:1.1.1-1)
Description: Go standard library compiled for windows_386
 This package contains the Go standard library,
 compiled for windows_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-darwin-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

PACKAGE = golang

libexecdir := /usr/lib/go
datadir := /usr/share/go
bindir := /bin

# We loop over supported operating systems and architectures multiple times,
# so these two variables contain a centralized version of that code.
# The variables $$os and $$arch can be used inside such a loop.
FOR_GO_ARCH := for os in $$(echo linux freebsd windows darwin netbsd); do \
	archs="amd64 386"; \
	[ "$$os" = "linux" ] || [ "$$os" = "freebsd" ] && archs="amd64 arm 386"; \
	for arch in $$(echo $$archs); do
FOR_GO_ARCH_END := done; done

build-arch build-indep build clean install binary-arch binary-indep binary: debian/control
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	rm -rf bin pkg
	# golang-go-$os-$arch.install files are auto-generated in override_dh_install
	rm -f debian/golang-go-*.install
	rm -f debian/*+
	rm -f debian/build.stamp
	rm -f test/pass.out test/run.out test/times.out
	rm -rf debian/home

override_dh_auto_build: debian/build.stamp

override_dh_auto_test:
ifeq ($(RUN_TEST), true)
	cd $(CURDIR)/src && \
	$(CURDIR)/debian/test.bash $(GOROOT)/pkg/tool/$(GOHOSTOS)_$(GOHOSTARCH);
else
	:
endif

override_dh_compress:
	dh_compress -Xusr/share/doc/$(PACKAGE)-doc/html -Xusr/share/doc/$(PACKAGE)-doc/godoc

# Generates debian/control from debian/control.base and debian/control.cross.
# In the latter, @OS@ and @ARCH@ are replaced with every supported combination
# of operating system and architecture (e.g. linux_amd64, linux_386, …).
gencontrol:
	echo "# DO NOT EDIT THIS FILE. EDIT debian/control.* instead!" > debian/control.tmp
	cat debian/control.base >> debian/control.tmp
	${FOR_GO_ARCH} \
		BUILDARCHS=all; \
		[ "$$os" = "linux" ] && BUILDARCHS="i386 amd64 armel armhf"; \
		sed -e "s,@OS@,$$os,g; s,@ARCH@,$$arch,g; s,@BUILDARCHS@,$$BUILDARCHS,g" debian/control.cross >> debian/control.tmp; \
	${FOR_GO_ARCH_END}
	mv debian/control.tmp debian/control

override_dh_install:
	-${FOR_GO_ARCH} \
		echo "pkg/$${os}_$${arch} /usr/lib/go/pkg/" > debian/golang-go-$$os-$$arch.install; \
		[ "$$arch" = "amd64" ] && [ "$$os" = "linux" ] && echo "pkg/linux_amd64_race /usr/lib/go/pkg" >> debian/golang-go-$$os-$$arch.install; \
		echo "golang-go-$$os-$$arch: arch-independent-package-contains-binary-or-object" > debian/golang-go-$$os-$$arch.lintian-overrides; \
	${FOR_GO_ARCH_END}
	# Install the native runtime/cgo.a to the golang-go package.
	# runtime/cgo is only built for the native architecture, but the
	# golang-go-OS-ARCH packages are built on one particular buildd, which
	# might either be i386 or amd64.
	echo "listing of $$(pwd):"; ls -hlR .
	echo "listing of GOBIN: ($(GOBIN))"; ls -hlR $(GOBIN)
	for file in $$(cd pkg/ && ls */runtime/cgo.a); do \
		mkdir -p $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$(dirname $$file); \
		mv pkg/$$file $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$file; \
	done
	dh_install --fail-missing
	# Replace jquery in the html documentation with a symlink to libjs-jquery.
	-rm $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js && \
	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js
	# Make scripts executable
	chmod +x $(CURDIR)/debian/golang-src/usr/share/go/src/cmd/godoc/setup-godoc-app.bash
	# Remove testdata and tests from installed src directory
	find $(CURDIR)/debian/golang-src/usr/share/go/src -type d -name testdata -prune -execdir rm -rf {} \;
	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name '*_test.go' -delete
	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
	# Remove Plan9 rc(1) scripts
	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name "*.rc" -delete
	# Remove empty /usr/share/go/src from golang-go, it is provided by golang-src
	find $(CURDIR)/debian/golang-go/usr/share/go/src -type d -delete
	# Subsequently, /usr/share/go is empty, too, so remove
	find $(CURDIR)/debian/golang-go/usr/share/go -type d -delete
	# For some reason, Go cross-compiles a handful of tools: {yacc,fix,api,vet,cgo}.
	# Delete those, as they cannot be ran anyway.
	# This is tracked upstream at https://code.google.com/p/go/issues/detail?id=5667
	(cd $(CURDIR)/debian/golang-go/usr/lib/go/pkg/tool && find . -depth -path "./$(GOHOSTOS)_$(GOHOSTARCH)*" -prune -o -delete)
	# Touch built and installed files and directories to have same timestamp
	touch $(CURDIR)/debian/golang-go/usr/lib/go/pkg
	find $(CURDIR)/debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;

override_dh_strip:
	# strip disabled as golang upstream doesn't support it and it makes go
	# crash. See http://bugs.debian.org/717172

override_dh_prep:
	dh_prep
	echo 'go:Hostarch=$(GOHOSTARCH)' >> debian/golang-go.substvars

override_dh_builddeb:
	dh_builddeb -- -Zxz

debian/build.stamp:
	rm -f debian/build.stamp
	mkdir -p $(GOBIN)
	# Build native tools first, then bootstrap all other GOOS/GOARCH combinations.
	cd src && bash ./make.bash --no-banner
	# For the race detector to work (go test -race), we need to install the
	# std library with the race detector enabled. This will result in
	# having an additional “architecture” directory, e.g. linux_amd64_race.
	#
	# The race detector currently only works on linux/amd64. The check within
	# the following loop works precisely the same way src/race.bash does.
	-${FOR_GO_ARCH} \
		export GOARCH=$$arch; \
		export GOOS=$$os; \
		cd src && bash ./make.bash --no-clean; \
		[ "$$arch" = "amd64" ] && [ "$$os" = "linux" ] && $(GOBIN)/go install -race std; \
		cd ..; \
	${FOR_GO_ARCH_END}
	>debian/build.stamp

opt_no_act =
RUN_TEST := true

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    $(warning no support for disabling optimization)
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    RUN_TEST := false
endif

GOROOT := $(CURDIR)
GOROOT_FINAL := $(libexecdir)
GOBIN := $(CURDIR)$(bindir)
GOARM :=

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)

ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
    RUN_TEST := false
    GOHOSTOS := freebsd
else ifeq ($(DEB_BUILD_ARCH_OS), linux)
    GOHOSTOS := linux
else
    $(error unrecongized build host kernel $(DEB_BUILD_ARCH_OS)!)
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    RUN_TEST := false
    GOOS := freebsd
else ifeq ($(DEB_HOST_ARCH_OS), linux)
    GOOS := linux
else
    $(error unrecognized kernel $(DEB_HOST_ARCH_OS)!)
endif

ifeq ($(DEB_BUILD_ARCH_CPU), i386)
    GOHOSTARCH := 386
else ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
    GOHOSTARCH := amd64
else ifeq ($(DEB_BUILD_ARCH_CPU), arm)
    GOHOSTARCH := arm
else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
    GOHOSTARCH := arm
else
    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
endif

ifeq ($(DEB_HOST_ARCH_CPU), i386)
    GOARCH := 386
    GOPREFIX := 8
else ifeq ($(DEB_HOST_ARCH_CPU), amd64)
    GOARCH := amd64
    GOPREFIX := 6
else ifeq ($(DEB_HOST_ARCH_CPU), arm)
    GOARCH := arm
    GOPREFIX := 5
ifeq ($(DEB_HOST_ARCH), armel)
    RUN_TEST := false
    GOARM := 5
else ifeq ($(DEB_HOST_ARCH), armhf)
    GOARM := 6
else
    $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
endif
else
    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
endif

export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS

.PHONY: build clean install binary-arch binary-indep binary

## golang 1.2

=== debian/changelog ===
golang (2:1.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
  * Dropped changes, no longer required:
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 11:13:08 +0000

golang (2:1.2-1) unstable; urgency=low

  * New upstream release.
  * drop patches/archive-tar-fix-links-and-pax.patch, it is merged upstream
  * godoc(1) is now in the Debian package golang-go.tools, it was moved into a
    separate repository by upstream.
  * move patches/godoc-symlinks.diff to golang-go.tools

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 23:57:24 +0100

golang (2:1.1.2-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - d/control,control.cross: Update Breaks/Replaces for Ubuntu
      versions to ensure smooth upgrades, regenerate control file.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Nov 2013 12:12:43 +0000

golang (2:1.1.2-3) unstable; urgency=low

  * cherry-pick upstream commit: archive-tar-fix-links-and-pax.patch
    (Closes: #730566)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 26 Nov 2013 18:59:27 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -59,7 +60,7 @@
 Replaces: golang-weekly-doc
 Conflicts: golang-weekly-doc
 Provides: golang-weekly-doc
-Depends: ${misc:Depends}, golang-go, libjs-jquery
+Depends: ${misc:Depends}, golang-go
 Architecture: all
 Section: doc
 Description: Go programming language compiler - documentation
@@ -128,8 +129,8 @@
 Package: golang-go-linux-amd64
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_amd64
  This package contains the Go standard library,
  compiled for linux_amd64.
@@ -146,8 +147,8 @@
 Package: golang-go-linux-arm
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_arm
  This package contains the Go standard library,
  compiled for linux_arm.
@@ -164,8 +165,8 @@
 Package: golang-go-linux-386
 Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for linux_386
  This package contains the Go standard library,
  compiled for linux_386.
@@ -182,8 +183,8 @@
 Package: golang-go-freebsd-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_amd64
  This package contains the Go standard library,
  compiled for freebsd_amd64.
@@ -200,8 +201,8 @@
 Package: golang-go-freebsd-arm
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_arm
  This package contains the Go standard library,
  compiled for freebsd_arm.
@@ -218,8 +219,8 @@
 Package: golang-go-freebsd-386
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for freebsd_386
  This package contains the Go standard library,
  compiled for freebsd_386.
@@ -236,8 +237,8 @@
 Package: golang-go-windows-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for windows_amd64
  This package contains the Go standard library,
  compiled for windows_amd64.
@@ -254,8 +255,8 @@
 Package: golang-go-windows-386
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1.1-1)
-Replaces: golang-go (<< 2:1.1.1-1)
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)
 Description: Go standard library compiled for windows_386
  This package contains the Go standard library,
  compiled for windows_386.

## golang 1.2.1

=== debian/changelog ===
golang (2:1.2.1-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - Fixes from golang trunk for better gccgo support (LP: #1271335):
      - d/p/issue27650045_40001_50001.diff:
        cmd/go: test: do not put object files where later steps will find them
      - d/p/issue28050043_60001_70001.diff:
        cmd/go: When linking with gccgo pass .a files in the order they are
        discovered
      - d/p/issue54790044_100001_110001.diff:
        cmd/go: do not require a valid archChar when using -compiler gccgo
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Mar 2014 10:19:36 +0000

golang (2:1.2.1-2) unstable; urgency=low

  * Re-apply debian/patches/add-tar-xattr-support.patch which got lost when
    uploading 1.2.1-1; sorry about that.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 08 Mar 2014 20:01:12 +0100

golang (2:1.2.1-1ubuntu2) trusty; urgency=medium

  * d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR. 

 -- James Page <james.page@ubuntu.com>  Mon, 17 Mar 2014 11:26:56 +0000

golang (2:1.2.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - Fixes from golang trunk for better gccgo support (LP: #1271335):
      - d/p/issue27650045_40001_50001.diff:
        cmd/go: test: do not put object files where later steps will find them
      - d/p/issue28050043_60001_70001.diff:
        cmd/go: When linking with gccgo pass .a files in the order they are
        discovered
      - d/p/issue54790044_100001_110001.diff:
        cmd/go: do not require a valid archChar when using -compiler gccgo
    - d/copyright: Amendments for full compiliance with copyright format.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Mar 2014 06:03:18 +0000

golang (2:1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Mar 2014 17:40:57 +0100

golang (2:1.2-3) unstable; urgency=low

  * add debian/patches/add-tar-xattr-support.patch to have xattr support in
    tar (cherry-picked from upstream) (Thanks proppy) (Closes: #739586)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 24 Feb 2014 19:34:16 +0100

golang (2:1.2-2ubuntu3) trusty; urgency=medium

  * d/copyright: Drop incorrect Comment block in headers.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 10:18:33 +0000

golang (2:1.2-2ubuntu2) trusty; urgency=medium

  * Support co-installability with gccgo-go tool:
    - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
    - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
      alternatives.
  * Fixes from golang trunk for better gccgo support (LP: #1271335):
    - d/p/issue27650045_40001_50001.diff:
      cmd/go: test: do not put object files where later steps will find them
    - d/p/issue28050043_60001_70001.diff:
      cmd/go: When linking with gccgo pass .a files in the order they are
      discovered
    - d/p/issue54790044_100001_110001.diff:
      cmd/go: do not require a valid archChar when using -compiler gccgo
  * d/copyright: Amendments for full compiliance with copyright format.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 09:55:27 +0000

golang (2:1.2-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 09:37:23 +0000

golang (2:1.2-2) unstable; urgency=low

  * add patches/add-src-pkg-debug-elf-testdata-hello.patch to provide source
    for the testdata/ ELF binaries (Closes: #716853)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 31 Dec 2013 18:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Recommends: golang-go.tools
+Suggests: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and

=== debian/rules ===
--- 
+++ 
@@ -71,15 +71,8 @@
 		mkdir -p $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$(dirname $$file); \
 		mv pkg/$$file $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$file; \
 	done
+	mv bin/go bin/golang-go
 	dh_install --fail-missing
-	# Replace jquery in the html documentation with a symlink to libjs-jquery.
-	-rm $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js && \
-	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/golang-doc/usr/share/doc/golang-doc/html/jquery.js
-	# Make scripts executable
-	chmod +x $(CURDIR)/debian/golang-src/usr/share/go/src/cmd/godoc/setup-godoc-app.bash
-	# Remove testdata and tests from installed src directory
-	find $(CURDIR)/debian/golang-src/usr/share/go/src -type d -name testdata -prune -execdir rm -rf {} \;
-	find $(CURDIR)/debian/golang-src/usr/share/go/src -type f -name '*_test.go' -delete
 	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
 	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
 	# Remove Plan9 rc(1) scripts
@@ -106,6 +99,9 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+override_dh_shlibdeps:
+	dh_shlibdeps -Xtestdata -Xtest
 
 debian/build.stamp:
 	rm -f debian/build.stamp

=== debian/watch ===
version=3
http://code.google.com/p/go/downloads/list .*/go(.*)\.src\.tar\.gz

## golang 1.3

=== src/cmd/5c/Makefile ===
# Copyright 2012 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.dist

=== debian/changelog ===
golang (2:1.3-3) unstable; urgency=medium

  * don’t depend on emacs23, depend on emacs instead (Closes: #754013)
  * install include/ in golang-src, VERSION in golang-go (Closes: #693186)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 07 Jul 2014 08:30:50 +0200

golang (2:1.3-2) unstable; urgency=medium

  * Add /usr/lib/go/test symlink
  * Build with GO386=387 to favor the 387 floating point unit over sse2
    instructions (Closes: #753160)
  * Add debian/patches/0001-backport-delete-whole-line.patch to fix a
    deprecation warning about flet in the emacs part of golang-mode
    (Closes: #753607)
  * Migrate to emacsen >2 (Closes: #753607)
  * Backport two patches to improve archive/tar performance (for docker):
    debian/patches/0002-archive-tar-reuse-temporary-buffer-in-writeHeader.patch
    debian/patches/0003-archive-tar-reuse-temporary-buffer-in-readHeader.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 23:33:46 +0200

golang (2:1.3-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches merged upstream:
    - debian/patches/add-tar-xattr-support.patch
    - debian/patches/add-tar-xattr-support.patch
  * Fix debian/watch (Thanks Tianon) (Closes: #748290)
  * Remove dangling symlink /usr/lib/go/lib/godoc (Closes: #747968)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 19 Jun 2014 09:23:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
@@ -19,7 +18,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Suggests: golang-go.tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -103,7 +102,8 @@
 
 Package: golang-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacsen, emacsen-common (>= 1.4.14)
+Depends: ${misc:Depends}, emacs | emacsen, emacsen-common (>= 2.0.8)
+Conflicts: emacsen-common (<< 2.0.0)
 Suggests: golang-go
 Description: Go programming language - mode for GNU Emacs
  This package provides a GNU Emacs major mode for editing code in
@@ -273,3 +273,5 @@
 Package: golang-go-darwin-amd64
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Breaks: golang-go (<< 2:1.1-2)
+Replaces: golang-go (<< 2:1.1-2)

=== debian/watch ===
version=3
http://code.google.com/p/go/wiki/Downloads .*/go([0-9.]*)\.src\.tar\.gz

## golang 1.3.1

=== debian/changelog ===
golang (2:1.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 13 Aug 2014 09:15:58 +0200

golang (2:1.3-4) unstable; urgency=medium

  [ Tianon Gravi ]
  * update debian/watch for upstream's latest move (Closes: #756415)
  * backport archive/tar patch to fix PAX headers (Closes: #756416)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 02 Aug 2014 21:02:24 +0200

## golang 1.3.2

=== debian/changelog ===
golang (2:1.3.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.
    - dropped patches (now upstream):
      - d/p/issue27650045_40001_50001.diff
      - d/p/issue28050043_60001_70001.diff
      - d/p/issue54790044_100001_110001.diff

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 18 Nov 2014 15:12:26 -0600

golang (2:1.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 26 Sep 2014 23:21:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
@@ -18,7 +19,7 @@
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
 Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Recommends: golang-go.tools
+Suggests: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -272,6 +273,3 @@
 
 Package: golang-go-darwin-amd64
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)

## golang 1.3.3

=== src/cmd/objdump/Makefile ===
all: x86.go armasm.go

x86.go: bundle
	./bundle -p main -x x86_ rsc.io/x86/x86asm | gofmt >x86.go

armasm.go: bundle
	./bundle -p main -x arm_ rsc.io/arm/armasm | gofmt >armasm.go

bundle:
	go build -o bundle code.google.com/p/rsc/cmd/bundle

=== src/pkg/time/Makefile ===
# Copyright 2013 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

genzabbrs: genzabbrs.go
	go build genzabbrs.go

windows: genzabbrs
	./genzabbrs | gofmt >zoneinfo_abbrs_windows.go

=== debian/changelog ===
golang (2:1.3.3-1ubuntu4~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Oct 2015 20:00:31 -0700

golang (2:1.3.3-1ubuntu4) vivid; urgency=medium

  * Build empty golang-go and golang-src packages on architectures
    without golang support, and depend on gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Mar 2015 21:46:25 +0100

golang (2:1.3.3-1ubuntu3) vivid; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 14:08:51 +0100

golang (2:1.3.3-1ubuntu2) vivid; urgency=medium

  * Install gofmt as an alternative.
  * Update the update-alternatives dance.
  * golang-go: Conflict with golang-go (<< 2:1.3.3-1ubuntu2).
  * Bump the alternative priority to 100, see Debian #779503.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 13:29:34 +0100

golang (2:1.3.3-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1407409) Remaining changes:
    - 016-armhf-elf-header.patch: Use correct ELF header for armhf binaries.
    - Support co-installability with gccgo-go tool:
      - d/rules,golang-go.install: Rename bin/go -> bin/golang-go
      - d/golang-go.{postinst,prerm}: Install/remove /usr/bin/go using
        alternatives.
    - d/copyright: Amendments for full compiliance with copyright format.
    - d/control: Demote golang-go.tools to Suggests to support Ubuntu MIR.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 04 Jan 2015 12:18:38 +0100

golang (2:1.3.3-1) unstable; urgency=medium

  * New upstream version (https://code.google.com/p/go/source/list?name=go1.3.3)
    - time: removed from tests now obsolete assumption about Australian tz
      abbreviations
    - net: temporarily skip TestAcceptIgnoreSomeErrors
    - runtime: hide cgocallback_gofunc calling cgocallbackg from linker
    - runtime: fix GOTRACEBACK reading on Windows, Plan 9
    - nacltest.bash: unset GOROOT
    - cmd/5l, cmd/6l, cmd/8l: fix nacl binary corruption bug
  * Add Paul and myself as uploaders. Many, many thanks to Michael for his work
    so far on this package (and hopefully more to come).

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 12 Dec 2014 16:11:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Source: golang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+           Paul Tagliamonte <paultag@debian.org>,
+           Tianon Gravi <admwiggin@gmail.com>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
@@ -12,14 +14,15 @@
 Homepage: http://golang.org/
 
 Package: golang-go
-Architecture: i386 amd64 armel armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 	 golang-src (>= ${source:Version}),
-	 golang-go-linux-${go:Hostarch} (= ${source:Version})
+	 golang-go-linux-${go:Hostarch} (= ${source:Version}) [armel armhf amd64 i386],
+	 gccgo [!armel !armhf !amd64 !i386]
 Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
-Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
+Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools, golang-go (<< 2:1.3.3-1ubuntu2)
 Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Suggests: golang-go.tools
+Recommends: golang-go.tools
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -40,7 +43,7 @@
 Conflicts: golang-weekly-src
 Provides: golang-weekly-src
 Breaks: golang-go (<< 2:1-3~)
-Architecture: i386 amd64 armel armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Go programming language compiler - source files
  The Go programming language is an open source project to make
@@ -269,7 +272,3 @@
  .
  The files contained in this package are independent of the host architecture,
  that is, you can use golang-go-linux-amd64 to generate a binary for
- linux_amd64, even though you are executing the Go compiler on linux_386.
-
-Package: golang-go-darwin-amd64
-Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 libexecdir := /usr/lib/go
 datadir := /usr/share/go
 bindir := /bin
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+golang_archs = armel armhf amd64 i386
 
 # We loop over supported operating systems and architectures multiple times,
 # so these two variables contain a centralized version of that code.
@@ -32,11 +35,13 @@
 override_dh_auto_build: debian/build.stamp
 
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 ifeq ($(RUN_TEST), true)
 	cd $(CURDIR)/src && \
 	$(CURDIR)/debian/test.bash $(GOROOT)/pkg/tool/$(GOHOSTOS)_$(GOHOSTARCH);
 else
 	:
+endif
 endif
 
 override_dh_compress:
@@ -56,6 +61,7 @@
 	mv debian/control.tmp debian/control
 
 override_dh_install:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 	-${FOR_GO_ARCH} \
 		echo "pkg/$${os}_$${arch} /usr/lib/go/pkg/" > debian/golang-go-$$os-$$arch.install; \
 		[ "$$arch" = "amd64" ] && [ "$$os" = "linux" ] && echo "pkg/linux_amd64_race /usr/lib/go/pkg" >> debian/golang-go-$$os-$$arch.install; \
@@ -72,6 +78,7 @@
 		mv pkg/$$file $(CURDIR)/debian/golang-go/usr/lib/go/pkg/$$file; \
 	done
 	mv bin/go bin/golang-go
+	mv bin/gofmt bin/golang-gofmt
 	dh_install --fail-missing
 	# Remove .syso files of the race detector; it is not used yet and the files are arch-dependent.
 	find $(CURDIR)/debian/golang-src/usr/share/go/src/pkg/runtime/race -type f -name '*.syso' -delete
@@ -88,6 +95,7 @@
 	# Touch built and installed files and directories to have same timestamp
 	touch $(CURDIR)/debian/golang-go/usr/lib/go/pkg
 	find $(CURDIR)/debian/golang-go/usr/lib/go/pkg -exec touch -r $(CURDIR)/debian/golang-go/usr/lib/go/pkg {} \;
+endif
 
 override_dh_strip:
 	# strip disabled as golang upstream doesn't support it and it makes go
@@ -104,6 +112,7 @@
 	dh_shlibdeps -Xtestdata -Xtest
 
 debian/build.stamp:
+ifneq (,$(filter $(DEB_HOST_ARCH),$(golang_archs)))
 	rm -f debian/build.stamp
 	mkdir -p $(GOBIN)
 	# Build native tools first, then bootstrap all other GOOS/GOARCH combinations.
@@ -122,6 +131,9 @@
 		cd ..; \
 	${FOR_GO_ARCH_END}
 	>debian/build.stamp
+else
+	touch debian/build.stamp
+endif
 
 opt_no_act =
 RUN_TEST := true
@@ -176,7 +188,7 @@
 else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
     GOHOSTARCH := arm
 else
-    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
+#    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
 endif
 
 ifeq ($(DEB_HOST_ARCH_CPU), i386)
@@ -197,7 +209,7 @@
     $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
 endif
 else
-    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
+#    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
 endif
 
 export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS
